package com.example.michael.bp_as;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;


public class MainActivity extends AppCompatActivity implements ArtListFragment.OnFragmentInteractionListener{


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        if (savedInstanceState == null){
            ArtListFragment artListFragment = ArtListFragment.newInstance(1,true);
            getFragmentManager().beginTransaction().add(R.id.fragment_container,artListFragment).commit();
            this.getFragmentManager().executePendingTransactions();
        }
    }

    @Override
    public void loadArticleFragment(String id, ArticleList.ArticleItem articleItem) {
        ArticleFragment articleFragment = ArticleFragment.newInstance(id, articleItem);
        getFragmentManager().beginTransaction().replace(R.id.fragment_container, articleFragment).addToBackStack(null).commit();
        this.getFragmentManager().executePendingTransactions();
    }

    @Override
    public void reloadArtListFragment(int page,boolean first) {
        ArtListFragment artListFragment = ArtListFragment.newInstance(page,first);
        getFragmentManager().beginTransaction().replace(R.id.fragment_container, artListFragment).commit();
        this.getFragmentManager().executePendingTransactions();
    }
}
