package com.example.michael.bp_as;

import java.util.ArrayList;
import java.util.List;

public class ArticleList {
    public static List<ArticleItem> ITEMS = new ArrayList<>();

    public static void addArticleItem(ArticleItem item) {
        ITEMS.add(item);
    }
    public static void clearArticlesList(){
        ITEMS.clear();
    }
    public static class ArticleItem {
        public String id;
        public String headline;
        public String perex;
        public String url;

        public ArticleItem(String id, String headline, String perex, String url) {
            this.id = id;
            this.headline = headline;
            this.perex = perex;
            this.url = url;
        }

        @Override
        public String toString() {
            return headline;
        }

        public String getId() {
            return id;
        }
    }
}
